Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## j3deditor.bin.hierarchy.util
Enum Shape3DType

    java.lang.Object
      java.lang.Enum<Shape3DType>
          j3deditor.bin.hierarchy.util.Shape3DType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Shape3DType>

    public enum Shape3DType

extends java.lang.Enum<Shape3DType>

Determines the type of the `J3DeShape3D` object and the type of `Shape3D` object inside it.

Author:
  Risto Seene

Enum Constant Summary
`COLORCUBE` object type is `ColorCube`
`SHAPE3D` custom object. e.g. mesh

Method Summary
`static Shape3DType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Shape3DType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHAPE3D

    public static final Shape3DType SHAPE3D

  custom object. e.g. mesh

### COLORCUBE

    public static final Shape3DType COLORCUBE

  object type is `ColorCube`

Method Detail

### values

    public static Shape3DType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Shape3DType c : Shape3DType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Shape3DType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD